# Web Form Drafts Web Form Drafts ## Creates a new web form draft record that does not already exist. - [POST /webFormDrafts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/createwebformdraft.md): This method will auto-generate an ID and create a new web form draft. If an ID is specified for the web form draft, an error will be thrown. ## Execute Batch Operations - [POST /webFormDrafts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_service_context_id - [GET /webFormDrafts/{tenantId}/contactServiceContext/{service}/{contactId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/listdraftsbycontactservicecontextid.md): Returns a list of records with the specified contact_service_context_id ## Returns a web form draft from the system by its ID. - [DELETE /webFormDrafts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/deletewebformdraft.md): This method will delete a web form draft with the specified ID. ## Returns a web form draft from the system by its ID. - [GET /webFormDrafts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/getwebformdraft.md): This method will look up a web form draft by the specified ID and return it back. ## Partially updates a web form draft with the specified ID. - [PATCH /webFormDrafts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/patchwebformdraft.md): This method will patch an existing web form draft with the specified ID, using the HTTP PATCH specification. ## Updates a web form draft with the specified ID. - [PUT /webFormDrafts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/updatewebformdraft.md): This method will update an existing web form draft with the specified ID.